<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['nositel-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm_film.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}
if(empty($_POST['izd_id'])) {puterror($result2['skin'],$TEXT['error-no-id']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['izd_id'])>5) {puterror($result2['skin'],$TEXT['error-id-long']); require_once "../utils/bottom_adm_film.php"; exit();}
if(empty($_POST['tip_izd'])) {puterror($result2['skin'],$TEXT['error-tip-izd1']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['tip_izd'])>255) {puterror($result2['skin'],$TEXT['error-tip-izd2']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['position'])>5) {puterror($result2['skin'],$TEXT['error-booklang10']); require_once "../utils/bottom_adm_film.php"; exit();}

if(isset($_POST['tip_izd'])) {$tip_izd=trim($_POST['tip_izd']);}
 else {$tip_izd="";}
  if(empty($tip_izd)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm_film.php"; exit();}

$_POST['tip_izd'] = rep($_POST['tip_izd']);
$_POST['izd_id'] = rep($_POST['izd_id']);
$_POST['position'] = rep($_POST['position']);
$_POST['position'] = intval($_POST['position']);

$query10 = "SELECT `tip_izd`, `position` FROM `tbl_tip_izd` WHERE `tip_izd_id`='".$_POST['izd_id']."' ";
 $result10 = mysqli_query($dbcnx,$query10);
  if(!$result10) {puterror($result2['skin'],$TEXT['error-tbl15']); require_once "../utils/bottom_adm_film.php"; exit();}
    $result_lib = mysqli_fetch_array($result10);
      if($_POST['tip_izd']!=$result_lib['tip_izd']) {
          $query9 = "SELECT `tip_izd` FROM `tbl_tip_izd` WHERE `tip_izd`='".$_POST['tip_izd']."' AND use_prog='2' ";
            $result9 = mysqli_query($dbcnx,$query9);
              if(!$result9) {puterror($result2['skin'],$TEXT['error-tbl16']); require_once "../utils/bottom_adm_film.php"; exit();}
                 if(mysqli_num_rows($result9)>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm_film.php"; exit();}
                   else {$tip_izd = "`tip_izd` = '".$_POST['tip_izd']."', ";}
        }
       else {$tip_izd = "";}

  //*************************************
  //Информация для лога
  if($result_lib['tip_izd'] !== $_POST['tip_izd']) {$log_bl = $TEXT['log-nositel4']."&laquo;".$result_lib['tip_izd']."&raquo; ".$TEXT['log-na']."&laquo;".$_POST['tip_izd']."&raquo;<br />";}
    else {$log_bl = "";}

  if($result_lib['tip_izd'] !== $_POST['tip_izd']) {$log_bl_visible = "&laquo;".$_POST['tip_izd']."&raquo; ";}
    else {$log_bl_visible = "&laquo;".$result_lib['tip_izd']."&raquo; ";}

  if($result_lib['position'] !== $_POST['position']) {$log_pos = $TEXT['log-nositel5'].$log_bl_visible.$TEXT['log-booklang6']."&laquo;".$result_lib['position']."&raquo; ".$TEXT['log-na']."&laquo;".$_POST['position']."&raquo;<br />";}
    else {$log_pos = "";}

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-nositel3'];
  $what = $log_bl." ".$log_pos.$TEXT['log-id'].$_POST['izd_id'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "UPDATE `tbl_tip_izd` SET 
  $tip_izd
  `position` = ".$_POST['position']."
  WHERE `tip_izd_id`='".$_POST['izd_id']."' LIMIT 1";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl15']); require_once "../utils/bottom_adm_film.php"; exit();}
require_once "../utils/bottom_adm_film.php";
?>